This commit is contained in:
2025-03-23 17:55:15 +01:00
parent 793ef6ca6f
commit 07801d65b2
6 changed files with 42 additions and 18 deletions

View File

@@ -38,11 +38,11 @@ in
runtimeInputs = with pkgs; [ curl iproute2 jq ];
text = ''
test -s /run/secrets/domeneshop/token || {
>&2 echo "ERROR: /run/secrets/domeneshop/token not found!"
echo >&2 "ERROR: /run/secrets/domeneshop/token not found!"
exit 1
}
test -s /run/secrets/domeneshop/secret || {
>&2 echo "ERROR: /run/secrets/domeneshop/secret not found!"
echo >&2 "ERROR: /run/secrets/domeneshop/secret not found!"
exit 1
}
DOMENESHOP_TOKEN="$( cat /run/secrets/domeneshop/token)"

View File

@@ -33,7 +33,7 @@ let
time rsync -r --chmod +rw --copy-links ${root}/ .
test ! -e pagefind || {
>&2 echo 'ERROR: `root` input has `pagefind` already in it!'
echo >&2 'ERROR: `root` input has `pagefind` already in it!'
false
}